package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * An hourly weather HRRR forecast object.
 **/
@Schema(description="An hourly weather HRRR forecast object.")
public class HrrrForecastHourObj   {
  
  @Schema(required = true, description = "")
  private Date timestamp = null;
  
  @Schema(description = "")
  private Date timestampInit = null;
  
  @Schema(description = "")
  private Float temp = null;
  
  @Schema(description = "")
  private Float wetBulb = null;
  
  @Schema(description = "")
  private Float dewPt = null;
  
  @Schema(description = "")
  private Float feelsLike = null;
  
  @Schema(description = "")
  private Float windChill = null;
  
  @Schema(description = "")
  private Float heatIndex = null;
  
  @Schema(description = "")
  private Float relHum = null;
  
  @Schema(description = "")
  private Float spcHum = null;
  
  @Schema(description = "")
  private Float sfcPres = null;
  
  @Schema(description = "")
  private Float mslPres = null;
  
  @Schema(description = "")
  private Float windSpd = null;
  
  @Schema(description = "")
  private Float windDir = null;
  
  @Schema(description = "")
  private Float windSpd80m = null;
  
  @Schema(description = "")
  private Float windDir80m = null;
  
  @Schema(description = "")
  private Float windDir100m = null;
  
  @Schema(description = "")
  private Float windSpd100m = null;
  
  @Schema(description = "")
  private Float precip = null;
  
  @Schema(description = "")
  private Float snowfall = null;
  
  @Schema(description = "")
  private Float snowfallKuchera = null;
  
  @Schema(description = "")
  private Float cldCvr = null;
  
  @Schema(description = "")
  private Float radSolar = null;
  
  @Schema(description = "")
  private Float radSolarDirect = null;
  
  @Schema(description = "")
  private Float cin = null;
  
  @Schema(description = "")
  private Float cape = null;
  
  @Schema(description = "")
  private Float hailSize = null;
 /**
   * Get timestamp
   * @return timestamp
  **/
  @JsonProperty("timestamp")
  public Date getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(Date timestamp) {
    this.timestamp = timestamp;
  }

  public HrrrForecastHourObj timestamp(Date timestamp) {
    this.timestamp = timestamp;
    return this;
  }

 /**
   * Get timestampInit
   * @return timestampInit
  **/
  @JsonProperty("timestampInit")
  public Date getTimestampInit() {
    return timestampInit;
  }

  public void setTimestampInit(Date timestampInit) {
    this.timestampInit = timestampInit;
  }

  public HrrrForecastHourObj timestampInit(Date timestampInit) {
    this.timestampInit = timestampInit;
    return this;
  }

 /**
   * Get temp
   * @return temp
  **/
  @JsonProperty("temp")
  public Float getTemp() {
    return temp;
  }

  public void setTemp(Float temp) {
    this.temp = temp;
  }

  public HrrrForecastHourObj temp(Float temp) {
    this.temp = temp;
    return this;
  }

 /**
   * Get wetBulb
   * @return wetBulb
  **/
  @JsonProperty("wetBulb")
  public Float getWetBulb() {
    return wetBulb;
  }

  public void setWetBulb(Float wetBulb) {
    this.wetBulb = wetBulb;
  }

  public HrrrForecastHourObj wetBulb(Float wetBulb) {
    this.wetBulb = wetBulb;
    return this;
  }

 /**
   * Get dewPt
   * @return dewPt
  **/
  @JsonProperty("dewPt")
  public Float getDewPt() {
    return dewPt;
  }

  public void setDewPt(Float dewPt) {
    this.dewPt = dewPt;
  }

  public HrrrForecastHourObj dewPt(Float dewPt) {
    this.dewPt = dewPt;
    return this;
  }

 /**
   * Get feelsLike
   * @return feelsLike
  **/
  @JsonProperty("feelsLike")
  public Float getFeelsLike() {
    return feelsLike;
  }

  public void setFeelsLike(Float feelsLike) {
    this.feelsLike = feelsLike;
  }

  public HrrrForecastHourObj feelsLike(Float feelsLike) {
    this.feelsLike = feelsLike;
    return this;
  }

 /**
   * Get windChill
   * @return windChill
  **/
  @JsonProperty("windChill")
  public Float getWindChill() {
    return windChill;
  }

  public void setWindChill(Float windChill) {
    this.windChill = windChill;
  }

  public HrrrForecastHourObj windChill(Float windChill) {
    this.windChill = windChill;
    return this;
  }

 /**
   * Get heatIndex
   * @return heatIndex
  **/
  @JsonProperty("heatIndex")
  public Float getHeatIndex() {
    return heatIndex;
  }

  public void setHeatIndex(Float heatIndex) {
    this.heatIndex = heatIndex;
  }

  public HrrrForecastHourObj heatIndex(Float heatIndex) {
    this.heatIndex = heatIndex;
    return this;
  }

 /**
   * Get relHum
   * @return relHum
  **/
  @JsonProperty("relHum")
  public Float getRelHum() {
    return relHum;
  }

  public void setRelHum(Float relHum) {
    this.relHum = relHum;
  }

  public HrrrForecastHourObj relHum(Float relHum) {
    this.relHum = relHum;
    return this;
  }

 /**
   * Get spcHum
   * @return spcHum
  **/
  @JsonProperty("spcHum")
  public Float getSpcHum() {
    return spcHum;
  }

  public void setSpcHum(Float spcHum) {
    this.spcHum = spcHum;
  }

  public HrrrForecastHourObj spcHum(Float spcHum) {
    this.spcHum = spcHum;
    return this;
  }

 /**
   * Get sfcPres
   * @return sfcPres
  **/
  @JsonProperty("sfcPres")
  public Float getSfcPres() {
    return sfcPres;
  }

  public void setSfcPres(Float sfcPres) {
    this.sfcPres = sfcPres;
  }

  public HrrrForecastHourObj sfcPres(Float sfcPres) {
    this.sfcPres = sfcPres;
    return this;
  }

 /**
   * Get mslPres
   * @return mslPres
  **/
  @JsonProperty("mslPres")
  public Float getMslPres() {
    return mslPres;
  }

  public void setMslPres(Float mslPres) {
    this.mslPres = mslPres;
  }

  public HrrrForecastHourObj mslPres(Float mslPres) {
    this.mslPres = mslPres;
    return this;
  }

 /**
   * Get windSpd
   * @return windSpd
  **/
  @JsonProperty("windSpd")
  public Float getWindSpd() {
    return windSpd;
  }

  public void setWindSpd(Float windSpd) {
    this.windSpd = windSpd;
  }

  public HrrrForecastHourObj windSpd(Float windSpd) {
    this.windSpd = windSpd;
    return this;
  }

 /**
   * Get windDir
   * @return windDir
  **/
  @JsonProperty("windDir")
  public Float getWindDir() {
    return windDir;
  }

  public void setWindDir(Float windDir) {
    this.windDir = windDir;
  }

  public HrrrForecastHourObj windDir(Float windDir) {
    this.windDir = windDir;
    return this;
  }

 /**
   * Get windSpd80m
   * @return windSpd80m
  **/
  @JsonProperty("windSpd80m")
  public Float getWindSpd80m() {
    return windSpd80m;
  }

  public void setWindSpd80m(Float windSpd80m) {
    this.windSpd80m = windSpd80m;
  }

  public HrrrForecastHourObj windSpd80m(Float windSpd80m) {
    this.windSpd80m = windSpd80m;
    return this;
  }

 /**
   * Get windDir80m
   * @return windDir80m
  **/
  @JsonProperty("windDir80m")
  public Float getWindDir80m() {
    return windDir80m;
  }

  public void setWindDir80m(Float windDir80m) {
    this.windDir80m = windDir80m;
  }

  public HrrrForecastHourObj windDir80m(Float windDir80m) {
    this.windDir80m = windDir80m;
    return this;
  }

 /**
   * Get windDir100m
   * @return windDir100m
  **/
  @JsonProperty("windDir100m")
  public Float getWindDir100m() {
    return windDir100m;
  }

  public void setWindDir100m(Float windDir100m) {
    this.windDir100m = windDir100m;
  }

  public HrrrForecastHourObj windDir100m(Float windDir100m) {
    this.windDir100m = windDir100m;
    return this;
  }

 /**
   * Get windSpd100m
   * @return windSpd100m
  **/
  @JsonProperty("windSpd100m")
  public Float getWindSpd100m() {
    return windSpd100m;
  }

  public void setWindSpd100m(Float windSpd100m) {
    this.windSpd100m = windSpd100m;
  }

  public HrrrForecastHourObj windSpd100m(Float windSpd100m) {
    this.windSpd100m = windSpd100m;
    return this;
  }

 /**
   * Get precip
   * @return precip
  **/
  @JsonProperty("precip")
  public Float getPrecip() {
    return precip;
  }

  public void setPrecip(Float precip) {
    this.precip = precip;
  }

  public HrrrForecastHourObj precip(Float precip) {
    this.precip = precip;
    return this;
  }

 /**
   * Get snowfall
   * @return snowfall
  **/
  @JsonProperty("snowfall")
  public Float getSnowfall() {
    return snowfall;
  }

  public void setSnowfall(Float snowfall) {
    this.snowfall = snowfall;
  }

  public HrrrForecastHourObj snowfall(Float snowfall) {
    this.snowfall = snowfall;
    return this;
  }

 /**
   * Get snowfallKuchera
   * @return snowfallKuchera
  **/
  @JsonProperty("snowfallKuchera")
  public Float getSnowfallKuchera() {
    return snowfallKuchera;
  }

  public void setSnowfallKuchera(Float snowfallKuchera) {
    this.snowfallKuchera = snowfallKuchera;
  }

  public HrrrForecastHourObj snowfallKuchera(Float snowfallKuchera) {
    this.snowfallKuchera = snowfallKuchera;
    return this;
  }

 /**
   * Get cldCvr
   * @return cldCvr
  **/
  @JsonProperty("cldCvr")
  public Float getCldCvr() {
    return cldCvr;
  }

  public void setCldCvr(Float cldCvr) {
    this.cldCvr = cldCvr;
  }

  public HrrrForecastHourObj cldCvr(Float cldCvr) {
    this.cldCvr = cldCvr;
    return this;
  }

 /**
   * Get radSolar
   * @return radSolar
  **/
  @JsonProperty("radSolar")
  public Float getRadSolar() {
    return radSolar;
  }

  public void setRadSolar(Float radSolar) {
    this.radSolar = radSolar;
  }

  public HrrrForecastHourObj radSolar(Float radSolar) {
    this.radSolar = radSolar;
    return this;
  }

 /**
   * Get radSolarDirect
   * @return radSolarDirect
  **/
  @JsonProperty("radSolarDirect")
  public Float getRadSolarDirect() {
    return radSolarDirect;
  }

  public void setRadSolarDirect(Float radSolarDirect) {
    this.radSolarDirect = radSolarDirect;
  }

  public HrrrForecastHourObj radSolarDirect(Float radSolarDirect) {
    this.radSolarDirect = radSolarDirect;
    return this;
  }

 /**
   * Get cin
   * @return cin
  **/
  @JsonProperty("cin")
  public Float getCin() {
    return cin;
  }

  public void setCin(Float cin) {
    this.cin = cin;
  }

  public HrrrForecastHourObj cin(Float cin) {
    this.cin = cin;
    return this;
  }

 /**
   * Get cape
   * @return cape
  **/
  @JsonProperty("cape")
  public Float getCape() {
    return cape;
  }

  public void setCape(Float cape) {
    this.cape = cape;
  }

  public HrrrForecastHourObj cape(Float cape) {
    this.cape = cape;
    return this;
  }

 /**
   * Get hailSize
   * @return hailSize
  **/
  @JsonProperty("hailSize")
  public Float getHailSize() {
    return hailSize;
  }

  public void setHailSize(Float hailSize) {
    this.hailSize = hailSize;
  }

  public HrrrForecastHourObj hailSize(Float hailSize) {
    this.hailSize = hailSize;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HrrrForecastHourObj {\n");
    
    sb.append("    timestamp: ").append(toIndentedString(timestamp)).append("\n");
    sb.append("    timestampInit: ").append(toIndentedString(timestampInit)).append("\n");
    sb.append("    temp: ").append(toIndentedString(temp)).append("\n");
    sb.append("    wetBulb: ").append(toIndentedString(wetBulb)).append("\n");
    sb.append("    dewPt: ").append(toIndentedString(dewPt)).append("\n");
    sb.append("    feelsLike: ").append(toIndentedString(feelsLike)).append("\n");
    sb.append("    windChill: ").append(toIndentedString(windChill)).append("\n");
    sb.append("    heatIndex: ").append(toIndentedString(heatIndex)).append("\n");
    sb.append("    relHum: ").append(toIndentedString(relHum)).append("\n");
    sb.append("    spcHum: ").append(toIndentedString(spcHum)).append("\n");
    sb.append("    sfcPres: ").append(toIndentedString(sfcPres)).append("\n");
    sb.append("    mslPres: ").append(toIndentedString(mslPres)).append("\n");
    sb.append("    windSpd: ").append(toIndentedString(windSpd)).append("\n");
    sb.append("    windDir: ").append(toIndentedString(windDir)).append("\n");
    sb.append("    windSpd80m: ").append(toIndentedString(windSpd80m)).append("\n");
    sb.append("    windDir80m: ").append(toIndentedString(windDir80m)).append("\n");
    sb.append("    windDir100m: ").append(toIndentedString(windDir100m)).append("\n");
    sb.append("    windSpd100m: ").append(toIndentedString(windSpd100m)).append("\n");
    sb.append("    precip: ").append(toIndentedString(precip)).append("\n");
    sb.append("    snowfall: ").append(toIndentedString(snowfall)).append("\n");
    sb.append("    snowfallKuchera: ").append(toIndentedString(snowfallKuchera)).append("\n");
    sb.append("    cldCvr: ").append(toIndentedString(cldCvr)).append("\n");
    sb.append("    radSolar: ").append(toIndentedString(radSolar)).append("\n");
    sb.append("    radSolarDirect: ").append(toIndentedString(radSolarDirect)).append("\n");
    sb.append("    cin: ").append(toIndentedString(cin)).append("\n");
    sb.append("    cape: ").append(toIndentedString(cape)).append("\n");
    sb.append("    hailSize: ").append(toIndentedString(hailSize)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
