/**
 * HRRR Forecast - A Weather Source API
 * Quarterhourly forecast data from the HRRR model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Quarterhourly forecast goes out 18 hours and is available in 15 minute increments. The Weather Source HRRR Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis.    **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page.   
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.api;

import java.util.Date;
import io.swagger.model.ErrorObj;
import io.swagger.model.HrrrForecastDmaHourObj;
import org.junit.Test;
import org.junit.Before;
import static org.junit.Assert.*;

import javax.ws.rs.core.Response;
import org.apache.cxf.jaxrs.client.JAXRSClientFactory;
import org.apache.cxf.jaxrs.client.ClientConfiguration;
import org.apache.cxf.jaxrs.client.WebClient;


import com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;




/**
 * HRRR Forecast - A Weather Source API
 *
 * <p>Quarterhourly forecast data from the HRRR model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Quarterhourly forecast goes out 18 hours and is available in 15 minute increments. The Weather Source HRRR Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis.    **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page.   
 *
 * API tests for DmasApi 
 */
public class DmasApiTest {


    private DmasApi api;
    
    @Before
    public void setup() {
        JacksonJsonProvider provider = new JacksonJsonProvider();
        List providers = new ArrayList();
        providers.add(provider);
        
        api = JAXRSClientFactory.create("https://hrrrforecast.weathersourceapis.com/v2", DmasApi.class, providers);
        org.apache.cxf.jaxrs.client.Client client = WebClient.client(api);
        
        ClientConfiguration config = WebClient.getConfig(client); 
    }

    /**
     * The complete quarterhourly HRRR forecast for a DMA
     *
     * Returns the complete set of HRRR forecast data for a Designated Market Area.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void dmasDmaIdQuarterhoursGetTest() {
        Integer dmaId = null;
        List<String> fields = null;
        String unitScale = null;
        //HrrrForecastDmaHourObj response = api.dmasDmaIdQuarterhoursGet(dmaId, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * A quarterhour of HRRR forecast data for a DMA
     *
     * Returns a single quarterhour of HRRR forecast data for a Designated Market Area. The provided timestamp must exist within the current valid 18 hour forecast range.  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void dmasDmaIdQuarterhoursTimestampGetTest() {
        Integer dmaId = null;
        Date timestamp = null;
        List<String> fields = null;
        String unitScale = null;
        //HrrrForecastDmaHourObj response = api.dmasDmaIdQuarterhoursTimestampGet(dmaId, timestamp, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
    /**
     * A contiguous range of quarterhourly HRRR forecast data for a DMA.
     *
     * Returns a contiguous range of quarterhourly HRRR forecast data for a Designated Market Area. The provided timestamps must exist within the current valid 18 hour forecast range.  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void dmasDmaIdQuarterhoursTimestampStarttimestampEndGetTest() {
        Integer dmaId = null;
        Date timestampStart = null;
        Date timestampEnd = null;
        List<String> fields = null;
        String unitScale = null;
        //HrrrForecastDmaHourObj response = api.dmasDmaIdQuarterhoursTimestampStarttimestampEndGet(dmaId, timestampStart, timestampEnd, fields, unitScale);
        //assertNotNull(response);
        // TODO: test validations
        
        
    }
}
